jQuery Autocomplete View Helper

uses | Zend_View_Helper_FormText
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_View_Helper_UiWidget

### Methods

## Builds an AutoComplete ready input field.

    autoComplete(String $id, String $value = null, array $params = array(), array $attribs = array()) : String

This view helper builds an input field with the \Zend_View_Helper_FormText FormText Helper and adds additional javascript to the jQuery stack to initialize an AutoComplete field. Make sure you have set one out of the two following options: $params['data'] or $params['url']. The first one accepts an array as data input to the autoComplete, the second accepts an url, where the autoComplete content is returned from. For the format see jQuery documentation.

link | http://docs.jquery.com/UI/Autocomplete

### Parameters

#### $id

`String`

#### $value

`String`

#### $params

`array`

#### $attribs

`array`

### Exceptions

`\ZendX_JQuery_Exception` |

### Returns

`String`

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

Inherited

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

Inherited

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

### Properties

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default